module Main exposing (main)
import Start.Model exposing (Flags, Model, Msg)
import Start.View exposing (view)
import Browser exposing (Document, document)

init : Flags -> (Model, Cmd Msg)
init () = ((), Cmd.none)

view : Model -> Document Msg
view m =
    { title = "Start Page"
    , body = Start.View.view m
    }

update : Msg -> Model -> (Model, Cmd Msg)
update () () = ((), Cmd.none)

subscriptions : Model -> Sub Msg
subscriptions () = Sub.none

main : Program Flags Model Msg
main = document
    { init = init
    , view = view
    , update = update
    , subscriptions = subscriptions
    }
